# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

module Sqreen
  module Kit
    class HttpClient
      class UnexpectedStatusError < StandardError
        attr_reader :code, :body

        def initialize(code, body = nil)
          @code = code
          @body = body
        end

        def message
          "Unexpected status #{code}: #{body}"
        end
      end
    end
  end
end
