# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/kit/signals/dto_helper'
require 'sqreen/kit/signals/signal_attributes'

# reference: https://github.com/sqreen/SignalsSchemas/blob/master/schemas/signals.cue

module Sqreen
  module Kit
    module Signals
      # Not to be used directly. See Metric and Point
      class Signal
        include SignalAttributes

        add_mandatory_attrs :signal_name, :payload

        # mandatory
        # @return [String]
        attr_accessor :signal_name

        # @return [String]
        attr_accessor :payload_schema

        # mandatory
        # @return [Object]
        attr_accessor :payload
      end
    end
  end
end
