# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/kit/http_client'

module Sqreen
  module Kit
    module Signals
      class SignalsClient
        STATIC_HEADERS = { 'Content-type' => 'application/json' }.freeze

        # @param http_client [Sqreen::Kit:HttpClient]
        def initialize(http_client)
          @http_client = http_client
        end

        # @param [Array] signals_and_traces
        # @param headers [Hash{String=>String}]
        def report_batch(signals_and_traces, headers)
          data = '[' + signals_and_traces.map(&:to_json).join(',') + ']'
          @http_client.post('batches', data, STATIC_HEADERS.merge(headers))
        end

        def report_signal(signal, headers)
          data = signal.to_json
          @http_client.post('signals', data, STATIC_HEADERS.merge(headers))
        end

        def report_trace(trace, headers)
          data = trace.to_json
          @http_client.post('traces', data, STATIC_HEADERS.merge(headers))
        end
      end
    end
  end
end
