# typed: ignore

# Copyright (c) 2015 Sqreen. All Rights Reserved.
# Please refer to our terms for more information: https://www.sqreen.com/terms.html

require 'sqreen/kit/signals/dto_helper'
require 'sqreen/kit/signals/signal'
require 'sqreen/kit/signals/signal_attributes'

# reference: https://github.com/sqreen/SignalsSchemas/blob/master/schemas/trace.cue

module Sqreen
  module Kit
    module Signals
      class Trace
        include SignalAttributes

        def self.attributes_for_to_h_self
          [] # we handle data ourselves
        end

        add_mandatory_attrs :data

        # @return [Array<Signal>]
        attr_accessor :data

        def type
          'trace'
        end

        def to_h
          super.merge({
                        data: data.map(&:to_h),
                      })
        end
      end
    end
  end
end
